# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import models, fields, tools, api, _

class consulta_dte(models.Model):
    _name = 'consulta.dte'
    _description = 'Agrega datos sobre consultas DTE'

    access_token = fields.Char('Seguridad Token')
    access_url = fields.Char('Portal acceso URL')
    access_warning = fields.Text('Access Warning')
    agente = fields.Selection([('femenino','Femenino'),('masculino','Masculino')],'Agente')
    name = fields.Char('Descripción')
    dCDC = fields.Char('CDC.', size=18)
    dCodRes = fields.Char('Código de respuesta')
    dFecProc = fields.Datetime(string='Fecha de respuesta')
    dMsgRes = fields.Char('Mensaje de respuesta')
    dProtAut = fields.Char('Código de operación')
    display_name = fields.Char('Display Name')
    fecha_consulta = fields.Datetime(string='Fecha consulta')
    xContEv = fields.Char('Eventos')
    xContenDE = fields.Char('XML')
