# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import models, fields, tools, api, _

class envio_lotes(models.Model):
    _name = 'envio.lotes'
    _description = 'Agrega datos sobre envio por lotes'

    access_warning = fields.Char('Access Warning')
    access_token = fields.Char('Security token')
    tipo = fields.Selection([('1','Factura electrónica'),('2','Factura electrónica de exportación'),('3','Factura electrónica de importación'),('4','Autofactura electrónica'),('5','Nota de crédito electrónica'),('6','Nota de débito electrónica'),('7','Nota de remisión electrónica'),('7','Comprobante de retención electrónico')],'Tipo documento')
    numero_lote = fields.Char('Numero lote')
    archivo = fields.Char('Archivo')
    name = fields.Char('Descripción')
    fecha_envio = fields.Datetime(string='Fecha de envío')
    dMsgRes = fields.Char('Mensaje de respuesta')
    dFecProc = fields.Datetime(string='Fecha de respuesta')
    dProtConstLote = fields.Char('Numero lote de respuesta')
    dTpoProces = fields.Datetime(string='Tiempo medio de Procesamiento ms')
    con_dFecRes = fields.Datetime(string='Fecha de respuesta de la consulta')
    con_dCodRes = fields.Char('Código de respuesta de la consulta')
    con_dMsgRes = fields.Char('Mensaje de respuesta de consulta')
    # invoice_ids = fields.Many2one('Documento electrónico')
    invoice_date = fields.Datetime(string='Fecha de factura')
    # nro_factura = fields.Many2one('Documento electrónico')
    # partner_id = fields.Many2one('Empresa')
    # company_id = fields.Many2one('Empresa')
    respuesta = fields.Char('Respuesta')
    domain_tipo = fields.Char('Domain Tipo')
    state = fields.Selection([('femenino','Femenino'),('masculino','Masculino')],'Estado')
    con_dFecProc = fields.Datetime(string='Fecha de respuesta de la consulta')
    dCodRes = fields.Char('Código de respuesta')
