# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import models, fields, tools, api, _

class mje_resultado(models.Model):
    _name = 'mje.resultado'
    _description = 'Agrega datos sobre mensaje resultado'

    dMsgRes = fields.Char('Mensaje de respuesta')
    display_name = fields.Char('Display Name')
    name = fields.Char('Descripción')
    dFecProc = fields.Datetime(string='Fecha de respuesta')
  # invoice_id = fields.Many2one('Documento electrónico')
    tipo = fields.Selection([('1','Factura electrónica'),('2','Factura electrónica de exportación'),('3','Factura electrónica de importación'),('4','Autofactura electrónica'),('5','Nota de crédito electrónica'),('6','Nota de débito electrónica'),('7','Nota de remisión electrónica'),('7','Comprobante de retención electrónico')],'Tipo documento')
  # picking_id = fields.Many2one('Picking')
    # xContenDE = fields.Binary(
    #     compute='_get_barcode',
    #     string=_('AFIP Barcode Image')
    # )
    xContEv = fields.Char('Eventos')
    dProtAut = fields.Char('Código de operación')
    dCDC =  fields.Char('CDC.', size=18)
    fecha_consulta = fields.Datetime(string='Fecha consulta')
    dCodRes = fields.Char('Código de respuesta')
